### Method

# RB DisplayPageModel add_page

#### Declaration [src]

    void
    rb_display_page_model_add_page (
      RBDisplayPageModel* page_model,
      RBDisplayPage* page,
      RBDisplayPage* parent
    )

#### Description [src]

Adds a page to the model, either below a specified page (if it’s a source or something else) or at the top level (if it’s a group).

#### Parameters

`page`

  Type: `RBDisplayPage`

  The `RBDisplayPage` to add.

  The data is owned by the caller of the method.

`parent`

  Type: `RBDisplayPage`

  The parent under which to add `page`.

  The data is owned by the caller of the method.